please stop shipping pre-build google-mock, instead all reverse-depends should compile their own google-mock

Bug #1185265 reported by Daniel Hartwig on 2013-05-29
4
Affects Status Importance Assigned to Milestone
Compiz
Undecided
Andrea Azzarone
Mir
Fix Released
Medium
Didier Roche
Nux
Fix Released
Undecided
Stephen M. Webb
Unity
Fix Released
Undecided
Unassigned
compiz (Ubuntu)
Undecided
Unassigned
google-mock (Ubuntu)
Undecided
Didier Roche
libusermetrics (Ubuntu)
Undecided
Didier Roche
location-service (Ubuntu)
Undecided
Didier Roche
nux (Ubuntu)
Undecided
Stephen M. Webb
rlvm (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Thomas Voß

Bug Description

Package: google-mock
Version: 1.6.0-0ubuntu3

This package represents significant and unwarranted deviation from the Debian package. For example, it does cause FTBFS with aptitude.

Use of precompiled libgmock
---------------------------

The Google C++ Mocking Framework uses conditional compilation for some
things. Because of the C++ "One Definition Rule", gmock must be
compiled with exactly the same flags as your C++ code under test.
Because this is hard to manage, upstream no longer recommends using
precompiled libraries.

google-mock (1.6.0-1) unstable; urgency=low

  * New upstream release (closes: #631676)

    As of this version upstream does not recommend using precompiled libraries
    so the package now only contains sources and includes. See the
    README.Debian file for instructions on how to build your own gmock
    library.

Related branches

summary: - significant deviation from debian packaging, upstream recommendation
+ please stop shipping pre-build google-mock, instead all reverse-depends
+ should compile their own google-mock
Didier Roche (didrocks) wrote :

set to invalid rlvm, it's shipping a copy (bad, but in synced with debian) of google-mock, we are changing the other ones to use the build system.

Changed in rlvm (Ubuntu):
status: New → Invalid
Didier Roche (didrocks) on 2013-07-04
Changed in google-mock (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
status: New → In Progress
Changed in libusermetrics (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in location-service (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in libusermetrics (Ubuntu):
status: New → In Progress
Changed in location-service (Ubuntu):
status: New → In Progress
Didier Roche (didrocks) on 2013-07-04
Changed in mir:
status: New → In Progress
assignee: nobody → Didier Roche (didrocks)
Pete Woods (pete-woods) wrote :

What would really make me happy is cmake support for this in the google-mock Ubuntu package.

i.e. something like this inside "/usr/lib/$arch/cmake/GMock/GMockConfig.cmake"

# Build with system gmock and embedded gtest
set (GMOCK_INCLUDE_DIR "/usr/include/gmock/include" CACHE PATH "gmock source include directory")
set (GMOCK_SOURCE_DIR "/usr/src/gmock" CACHE PATH "gmock source directory")
set (GTEST_INCLUDE_DIR "${GMOCK_SOURCE_DIR}/gtest/include" CACHE PATH "gtest source include directory")

add_subdirectory(${GMOCK_SOURCE_DIR} "${CMAKE_CURRENT_BINARY_DIR}/gmock")

set(GTEST_LIBRARIES gtest)
set(GTEST_MAIN_LIBRARIES gtest_main)
set(GMOCK_LIBRARIES gmock gmock_main)

That way I can just go:

find_package(GMock)

include_directories (
  ${GMOCK_INCLUDE_DIR}
  ${GTEST_INCLUDE_DIR}
)

It also means you will be able to help use it more easily in the future.

Didier Roche (didrocks) on 2013-07-09
tags: added: entering-saucy
Changed in unity (Ubuntu):
assignee: nobody → Thomas Voß (thomas-voss)
status: New → In Progress
Stephen M. Webb (bregma) on 2013-07-09
Changed in nux (Ubuntu):
status: New → In Progress
assignee: nobody → Stephen M. Webb (bregma)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package google-mock - 1.6.0+svn437-0ubuntu1

---------------
google-mock (1.6.0+svn437-0ubuntu1) saucy; urgency=low

  [ Matthias Klose ]
  * Merge with Debian, discard the Ubuntu changes.
  * Build using dh_python2.

  [ Didier Roche ]
  * New upstream snapshot (LP: #1185265)
  * Remove explicit build with external gtest (not anymore supported upstream)
  * Add debian/patches/include_system_path.patch to reinclude system path in
    mock
  * Include python build-dep as built with dh_python2
  * Add missing cmake build-dep
  * Ship CMakeLists.txt as a convenience for other packages using gmock and
    cmake and update debian/README.Debian with an example to use it
  * Ship gtest internal version with google-mock, as the snapshot doesn't work
    with the system old gtest, ignore during installation some project files
  * debian/patches/support_gcc_4.7.patch: support older gcc with C++11 (disabled
    for now)
 -- Didier Roche <email address hidden> Thu, 04 Jul 2013 09:54:08 +0200

Changed in google-mock (Ubuntu):
status: In Progress → Fix Released
Didier Roche (didrocks) on 2013-07-10
Changed in mir:
milestone: none → 0.0.7
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package location-service - 0.0.1+13.10.20130711-0ubuntu1

---------------
location-service (0.0.1+13.10.20130711-0ubuntu1) saucy; urgency=low

  [ Didier Roche ]
  * Adapt to new gmock snapshot (which doesn't ship anymore shared lib).
    (LP: #1185265)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 20
 -- Ubuntu daily release <email address hidden> Thu, 11 Jul 2013 02:01:50 +0000

Changed in location-service (Ubuntu):
status: In Progress → Fix Released
Pete Woods (pete-woods) on 2013-07-11
Changed in libusermetrics (Ubuntu):
status: In Progress → Fix Committed
Andrea Azzarone (azzar1) on 2013-07-11
Changed in compiz:
status: New → In Progress
assignee: nobody → Andrea Azzarone (andyrock)
Pete Woods (pete-woods) on 2013-07-11
Changed in libusermetrics (Ubuntu):
status: Fix Committed → Fix Released
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:mir at revision 846, scheduled for release in mir, milestone 0.0.7

Changed in mir:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2013-07-12
Changed in nux (Ubuntu):
status: In Progress → Fix Released
Changed in unity (Ubuntu):
status: In Progress → Fix Released
status: Fix Released → Fix Committed
Changed in nux (Ubuntu):
status: Fix Released → Fix Committed
Changed in mir:
status: Fix Committed → Fix Released
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.0.2+13.10.20130705.1-0ubuntu3

---------------
unity (7.0.2+13.10.20130705.1-0ubuntu3) saucy; urgency=low

  * Add a Provides: unity-common-7.0, for packages that depend on particular
    schema interfaces (e.g., unity-lens-applications).
 -- Steve Langasek <email address hidden> Sun, 14 Jul 2013 20:32:12 +0000

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:compiz at revision None, scheduled for release in compiz, milestone 0.9.10.0

Changed in compiz:
status: In Progress → Fix Committed
Andrea Azzarone (azzar1) on 2013-07-18
Changed in compiz:
milestone: none → 0.9.10.0
Stephen M. Webb (bregma) on 2013-07-23
Changed in compiz:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 4.0.2+13.10.20130723-0ubuntu1

---------------
nux (4.0.2+13.10.20130723-0ubuntu1) saucy; urgency=low

  [ Stephen M. Webb ]
  * moved to newer upstream google-mock release (lp: #1185265). (LP:
    #1185265)

  [ Marco Trevisan (Treviño) ]
  * TimerProc: use std::shared_ptr to ref TimerObject in TimerHandle and
    a std::deque in TimerHandler This fix several memory leaks that we
    are getting when the timer runs and makes the code more
    maintainable. Also various memory errors leaks.
  * GraphicsDisplayX11: cache the atom values, calling the slow
    XInternAtom just once per each.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 803
 -- Ubuntu daily release <email address hidden> Tue, 23 Jul 2013 06:12:20 +0000

Changed in nux (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (70.8 KiB)

This bug was fixed in the package compiz - 1:0.9.10+13.10.20130822-0ubuntu1

---------------
compiz (1:0.9.10+13.10.20130822-0ubuntu1) saucy; urgency=low

  [ Sam Spilsbury ]
  * Bump version to 0.9.10

  [ Łukasz 'sil2100' Zemczak ]
  * Remove debian/patches/unity_support_test.patch:
    - Running the support test from compiz has bad side effects, from now
      on we run it from Xsession.d
  * Automatic snapshot from revision 3644

  [ Iven Hsu ]
  * Opacify: Only dim the windows above the active window.(LP:
    #1189374). (LP: #1189374)
  * KWD: Fix compile errors with KDE 4.11. The KWin developers made
    kdecorationbridge.h private. See:
    http://lists.freedesktop.org/archives/compiz/2013-March/003479.html
    (LP: #1193792). (LP: #1193792)

  [ Nikolay Martynov ]
  * When static switcher is enabled and has an option to show
    application icon turned on the icons are expected to be ~1/3 of a
    thumbnail (48px). Instead they are displayed in 512px size and
    completely cover everything. This change addresses this issue. See
    LP #1173914. (LP: #1173914, #1186426)

  [ BryanFRitt ]
  * Fixed the non-working Annotate 'Clear' Button. Moved this option's
    CCSM position upwards to keep the button shortcuts together. (LP:
    #1202907). (LP: #1202907)

  [ Mehrdad Afshari ]
  * Added "move window to previous monitor" feature to compiz Put
    plugin. (LP: #1178581)

  [ Hu Kang ]
  * gtk-window-decorator: destroy action menu when any of the (close,
    min, max) buttons on the title bar is pressed. (LP: #1101648)
  * Remove redundant src/logmessage/include/core/logmessage.h (LP:
    #1067246). (LP: #1067246)

  [ Steve Langasek ]
  * Fix for bug #763148 (with added test cases): when the desktop is
    resized, windows should stay on their original workspace. (LP:
    #763148)

  [ Brandon Schaefer ]
  * Unrevert 3728, fix failing tests. Change the behaviour of
    undecorating windows. Previously when a window was undecorated, we
    would shift it back to an appropriate position according to its
    gravity member. That behaviour was problematic because in the
    StaticGravity case the window has to just stay in the same place.
    But then if you had a window with StaticGravity which then did get a
    decoration and later removed it, it would be placed as though it was
    decorated and appear to be in the wrong place. The correct behaviour
    is to place all windows as though they have decorations, and then
    when decorations are removed, to move the window back to the corner
    as indicated in its gravity and then expand its size to cover the
    obscured regions no longer hidden because the decorations went away.
    (LP: #1165343).   1. Completely remove decorOffsetMove and other
    related code from      decor.cpp. Put the logic to handle the
    window->input () - window->border ()      placement offset inside of
    setWindowFrameExtents instead. Now the window      will always be
    offset from its original non-decorated position to the new
         decorated position, rather than having to guess between
    decoration sizes.   2. Make saveGeometry and restoreGeometry work
    relative to window->border ()      a...

Changed in compiz (Ubuntu):
status: New → Fix Released
Changed in unity:
status: New → Invalid
status: Invalid → New
Changed in nux:
assignee: nobody → Stephen M. Webb (bregma)
status: New → Fix Released
Andrea Azzarone (azzar1) on 2015-09-17
Changed in unity:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.